Author Topic: New Version Doesn't recognize PDK  (Read 5359 times)

0 Members and 1 Guest are viewing this topic.

cypher-neo

  • Community Member
  • **
  • Posts: 3
    • View Profile
New Version Doesn't recognize PDK
« on: December 10, 2005, 02:14:04 PM »
Several months ago, I downloaded World Machine 1.0 and several of the PDK-plugin, including the LEGO filter, and a few random noise generators. :D

When I installed World Machine v1.2, I got a message on program load that said that older PDK plugins will not work with World Machine 1.2. :shock:

What gives!?!

Remnant

  • Author
  • World Machine Guru
  • *****
  • Posts: 2311
    • View Profile
    • http://www.world-machine.com/
New Version Doesn't recognize PDK
« Reply #1 on: December 10, 2005, 06:55:14 PM »
Hi there,

the core interface specification and headers have changed between 1.0 and 1.2. Plugins need to be recompiled against the 1.2 headers to work with the new version.

There's currently a bugfix+minor update version of WM in progress (1.3) that should be released before Christmas. Rather than releasing the 1.2PDK headers now, I'm currently planning on releasing the 1.3 version of the PDK that also features much more in the way of documentation on creating a plugin, and helper features that make it easier to create specific types and features in your devices.
-- Stephen Schmitt
- Creator of World Machine

cypher-neo

  • Community Member
  • **
  • Posts: 3
    • View Profile
New Version Doesn't recognize PDK
« Reply #2 on: December 12, 2005, 10:44:15 AM »
Quote from: Remnant
Hi there,

There's currently a bugfix+minor update version of WM in progress (1.3) that should be released before Christmas. Rather than releasing the 1.2PDK headers now, I'm currently planning on releasing the 1.3 version of the PDK that also features much more in the way of documentation on creating a plugin, and helper features that make it easier to create specific types and features in your devices.


That's awesome... Can't wait to see 1.3!